LogoopenSUSE Build Service > Request 155537
Sign Up | Log In

Request 155537 (accepted)

- update to version 2.0:
    * updated rules and dictionaries for almost all languages
    * more explanation via URLs
    * wrong error message for some rules
    * ConcurrentModificationException (sf#3572536)
    * false alarm about uppercase words (sf#3534637) 
    * consecutive tab characters are not longer an error
    * ellipsis "…" is not longer considered as a sentence separator
    * separate rules for different local variants of a language (sf#3287388)
- add sources for few 3rd party modules to meet the license needs:
    * lucene-gosen-ipadic-1.2.1
    * junit-4.10
    * bliki-3.0.3
    * jna-3.4.0
    * xtc-core (swc-*.jar sources)
- package new dictionaries: Asturian, Breton, Danish, Tagalog, Chinese
- add xz to BuildRequires and use xz-compressed source tarball
- update list of licenses
- languagetool-2.0-package-dicts-separately.patch: use a faster approach
  to detect the installed dictionaries (bnc#785203)
- languagetool-2.0-system-lo-jars.patch: build with system LO
- languagetool-2.0-no-broken-help.patch: do not register the broken help
- languagetool-2.0-remove-problematic-language-variants.patch: do not list
  language variants that are not supported by LO
- install dictionaries to the same location as the extension; it works
  because we do not longer use the system cache (fdo#53006, fdo#51252)
- update post install scripts:
    - unopkg is not longer needed (fdo#53006, fdo#51252)
    - better clean up (bnc#659549)

Submit package LibreOffice:Unstable / libreoffi...uagetool to package LibreOffice:Stable / libreoffic...guagetool

[-] [+] Changed libreoffice-languagetool.changes
[-] [+] Changed libreoffice-languagetool.spec ^
[-] [+] Deleted JLanguageTool-0.9.3-system-ooo-jars.diff ^
[-] [+] Deleted JLanguageTool-1.4-no-broken-help.diff ^
[-] [+] Deleted JLanguageTool-1.4-package-dicts-separately.diff ^
[-] [+] Added languagetool-2.0-no-broken-help.patch ^
[-] [+] Added languagetool-2.0-package-dicts-separately.patch ^
[-] [+] Added languagetool-2.0-remove-problematic-language-variants.patch ^
[-] [+] Added languagetool-2.0-system-lo-jars.patch ^
Deleted JLanguageTool-1.4.tar.bz2 ^
Added bliki-3.0.3.tar.xz ^
Added jna-3.4.0-sources.jar ^
Added junit-4.10-src.jar ^
Added languagetool-2.0.tar.xz ^
[-] [+] Changed libreoffice-languagetool.spec.in ^
[-] [+] Changed lo-languagetool-data ^
[-] [+] Changed lo-languagetool-gen-spec ^
Added lucene-gosen-ipadic-1.2.1-sources.jar ^
Added xtc-core-1.15.0.zip ^

Mentioned Issues (7)

boo#659549 Petr Mladek pmladek Closed
Useless links remaining in system after removing package.
boo#785203 Petr Mladek pmladek Closed
openSUSE:12.2/libreoffice-languagetool freezes LibreOffice on startup
fdo#51252
fdo#53006
sf#3287388
sf#3534637
sf#3572536

There's nothing to be done right now

Request History

Petr Mladek pmladek created request almost 3 years ago
- update to version 2.0:
    * updated rules and dictionaries for almost all languages
    * more explanation via URLs
    * wrong error message for some rules
    * ConcurrentModificationException (sf#3572536)
    * false alarm about uppercase words (sf#3534637) 
    * consecutive tab characters are not longer an error
    * ellipsis "…" is not longer considered as a sentence separator
    * separate rules for different local variants of a language (sf#3287388)
- add sources for few 3rd party modules to meet the license needs:
    * lucene-gosen-ipadic-1.2.1
    * junit-4.10
    * bliki-3.0.3
    * jna-3.4.0
    * xtc-core (swc-*.jar sources)
- package new dictionaries: Asturian, Breton, Danish, Tagalog, Chinese
- add xz to BuildRequires and use xz-compressed source tarball
- update list of licenses
- languagetool-2.0-package-dicts-separately.patch: use a faster approach
  to detect the installed dictionaries (bnc#785203)
- languagetool-2.0-system-lo-jars.patch: build with system LO
- languagetool-2.0-no-broken-help.patch: do not register the broken help
- languagetool-2.0-remove-problematic-language-variants.patch: do not list
  language variants that are not supported by LO
- install dictionaries to the same location as the extension; it works
  because we do not longer use the system cache (fdo#53006, fdo#51252)
- update post install scripts:
    - unopkg is not longer needed (fdo#53006, fdo#51252)
    - better clean up (bnc#659549)
Petr Mladek pmladek Request got accepted almost 3 years ago
ok

Comments for request 155537 (0)